package Visual_DVM_2021.UI.Main;
import Common.Global;
import Visual_DVM_2021.UI.Interface.FormWithSplitters;
import Visual_DVM_2021.UI.Interface.TestsWindow;

import javax.swing.*;
public class TestsForm implements TestsWindow, FormWithSplitters {
    private JPanel content;
    public JSplitPane SC45;
    private JPanel groupsBackground;
    private JPanel groupsPanel;
    private JPanel testsPanel;
    @Override
    public JPanel getContent() {
        return content;
    }
    @Override
    public void ShowAll() {
        Global.testingServer.db.groups.ShowUI();
    }
    public TestsForm(){
        LoadSplitters();
        Global.testingServer.db.groups.mountUI(groupsPanel);
        Global.testingServer.db.tests.mountUI(testsPanel);
    }
}
